# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/math3D.hpp File Reference

`#include <vlCore/GLSLmath.hpp>`
`#include <vlCore/Plane.hpp>`
`#include <cstdio>`
`#include <memory.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLCORE_EXPORT Real | vl::randomMinMax (Real min, Real max)
| Returns a random number N that between 'min' and 'max' included.
VLCORE_EXPORT int | vl::greaterEqualPow2 (int n)
| Returns a number N that is a power of 2 and that is equal to or greater than 'n'.
VLCORE_EXPORT int | vl::smallerEqualPow2 (int n)
| Returns a number N that is a power of 2 and that is equal to or smaller than 'n'.
VLCORE_EXPORT void | vl::extractPlanes (Plane *planes, const mat4 &modelviewproj)
| Extracts the 6 frustum planes for the given model-view-projection matrix.

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.